# TODO:
# - figure out how to kill mod-mono-server.exe process when apache is restarted
%define		mod_name	mod_mono
%define		apxs		/usr/sbin/apxs
Summary:	Mono module for Apache 2
Summary(pl.UTF-8):	Moduł Mono dla serwera Apache 2
Name:		apache-%{mod_name}
Version:	3.13
Release:	1
Epoch:		1
License:	Apache v2.0
Group:		Networking/Daemons/HTTP
Source0:	https://download.mono-project.com/sources/mod_mono/%{mod_name}-%{version}.tar.gz
# Source0-md5:	81f6c9ca314c239e0b4634eedf174ced
Patch0:		apache-mod_mono-ac.patch
URL:		https://www.mono-project.com/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.52-2
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 3.12
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 2.015
Requires:	apache(modules-api) = %apache_modules_api
Requires:	mono-csharp >= 3.12
Requires:	xsp >= 2.10
Obsoletes:	mod_mono < 1:0.3.7
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_httpdir	/home/services/httpd
%define		apacheconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d
%define		apachelibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)

%description
This is an experimental module that allows you to run ASP.NET pages on
Unix with Apache and Mono.

%description -l pl.UTF-8
Ten eksperymentalny moduł umożliwia uruchamianie stron ASP.NET na
Uniksie z serwerem Apache i Mono.

%prep
%setup -q -n %{mod_name}-%{version}
%patch0 -p1

%build
# Build Apache Module
%{__libtoolize}
%{__aclocal}
%{__autoconf} -I m4
%{__automake}

%configure \
	CFLAGS="%{rpmcflags} -D_GNU_SOURCE -D_LARGEFILE64_SOURCE" \
	--with-apxs=%{apxs} \
	--with-apr-config=%{_bindir}/apr-1-config \
	--with-apu-config=%{_bindir}/apu-1-config

%{__make} \
	DESTDIR=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{apacheconfdir},%{apachelibdir},%{_mandir}/man8}

install src/.libs/%{mod_name}.so $RPM_BUILD_ROOT%{apachelibdir}
install man/%{mod_name}.8 $RPM_BUILD_ROOT%{_mandir}/man8

cat > $RPM_BUILD_ROOT%{apacheconfdir}/70_mod_%{mod_name}.conf <<'EOF'
LoadModule mono_module modules/%{mod_name}.so
MonoApplications "/asp_net:%{_httpdir}/asp_net"
Alias /asp_net "%{_httpdir}/asp_net"
<Location /asp_net>
	SetHandler mono
</Location>
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
    %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog INSTALL NEWS README
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apacheconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{apachelibdir}/mod_mono.so
%{_mandir}/man8/mod_mono.8*
%changelog
* Mon Apr 25 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_mono.git;a=log;h=master

* Mon Apr 25 2022 Jakub Bogusz <qboosh@pld-linux.org> 550a15e
- updated to 3.13

* Mon Jan 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 96fc0c7
- updated to 3.12
- updated ac patch
- removed obsolete apache24 patch

* Sun May 05 2013 Jan Rękorajski <baggins@pld-linux.org> d3acc49
- apply apache 2.4 patch

* Sun May 05 2013 Jan Rękorajski <baggins@pld-linux.org> e046578
- fix building with automake 1.13
- build with apache 2.4
- rel 2

* Mon Feb 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 3bdfd68
- updated to 2.10

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> f951cc2
- dropped pre-cvs changelog

* Wed Jan 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 5089f3e
- updated to 2.8.2

* Tue Oct 19 2010 Jakub Bogusz <qboosh@pld-linux.org> b8ed375
- updated to 2.8

* Sun Sep 26 2010 Jakub Bogusz <qboosh@pld-linux.org> e9a17a4
- updated to 2.6.3

* Sat Jul 04 2009 marcus <marcus@pld-linux.org> e43bd53
- up to 2.4.2

* Wed Apr 22 2009 marcus <marcus@pld-linux.org> 62ba48d
- addedd restart httpd
- req. xsp >= 2.4

* Tue Apr 21 2009 marcus <marcus@pld-linux.org> 7fdb83e
- up to 2.4

* Tue Apr 21 2009 marcus <marcus@pld-linux.org> 749e5ee
- PKG_PATH

* Mon Feb 09 2009 duddits <duddits@pld-linux.org> 782a9e5
- up to 2.2

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> fb02cd5
- HTTP group

* Thu Jun 19 2008 Jakub Bogusz <qboosh@pld-linux.org> 1fc7a06
- updated to 1.9

* Sat Feb 09 2008 Jakub Bogusz <qboosh@pld-linux.org> e11d254
- unified License format

* Wed Dec 26 2007 Elan Ruusamäe <glen@pld-linux.org> bc69c70
- use conf.d for apache config fragment; rel 2

* Sat Dec 15 2007 Jakub Bogusz <qboosh@pld-linux.org> 1985cce
- License is Apache 2.0

* Sat Dec 15 2007 Jakub Bogusz <qboosh@pld-linux.org> 12cb518
- updated to 1.2.6
- removed obsolete apu-config patch

